| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
CIEEE488InstrumentReadWriteTest.h File Reference

Test IEEE488 Instrument: Read and Write methods. More...

`#include <gtest/gtest.h>`
`#include "IEEE488InstrumentTest.h"`
Include dependency graph for CIEEE488InstrumentReadWriteTest.h:

Go to the source code of this file.

## Classes
class | IEEE488InstrumentReadWriteTest

## Functions
| TEST_F (IEEE488InstrumentReadWriteTest, IDN_Query_WriteCString)
| Test *IDN? query with C string variant of Write.
| TEST_F (IEEE488InstrumentReadWriteTest, IDN_Query_WriteCPPString)
| Test *IDN? query with C++ string variant of Write.
| TEST_F (IEEE488InstrumentReadWriteTest, IDN_Query_WriteSCPIBuffer)
| Test *IDN? query with SCPI Buffer variant of Write.
| TEST_F (IEEE488InstrumentReadWriteTest, IDN_Query_MultipleBuffers)
| Test *IDN? query response split into multiple buffers.
| TEST_F (IEEE488InstrumentReadWriteTest, IDN_Query_AfterSpuriousRead)
| Test *IDN? query after spurious read (tests Clear BulkIn).
| TEST_F (IEEE488InstrumentReadWriteTest, IDN_Query_AfterFailedWrite)
| Test *IDN? query after failed write (tests Clear BulkOut).

## Detailed Description

Test IEEE488 Instrument: Read and Write methods.

Definition in file CIEEE488InstrumentReadWriteTest.h.

## Function Documentation

## ◆ TEST_F() [1/6]

TEST_F | ( | IEEE488InstrumentReadWriteTest | ,
|  | IDN_Query_AfterFailedWrite | )

Test *IDN? query after failed write (tests Clear BulkOut).

Definition at line 108 of file CIEEE488InstrumentReadWriteTest.h.

## ◆ TEST_F() [2/6]

TEST_F | ( | IEEE488InstrumentReadWriteTest | ,
|  | IDN_Query_AfterSpuriousRead | )

Test *IDN? query after spurious read (tests Clear BulkIn).

Definition at line 94 of file CIEEE488InstrumentReadWriteTest.h.

## ◆ TEST_F() [3/6]

TEST_F | ( | IEEE488InstrumentReadWriteTest | ,
|  | IDN_Query_MultipleBuffers | )

Test *IDN? query response split into multiple buffers.

Definition at line 75 of file CIEEE488InstrumentReadWriteTest.h.

## ◆ TEST_F() [4/6]

TEST_F | ( | IEEE488InstrumentReadWriteTest | ,
|  | IDN_Query_WriteCPPString | )

Test *IDN? query with C++ string variant of Write.

Definition at line 54 of file CIEEE488InstrumentReadWriteTest.h.

## ◆ TEST_F() [5/6]

TEST_F | ( | IEEE488InstrumentReadWriteTest | ,
|  | IDN_Query_WriteCString | )

Test *IDN? query with C string variant of Write.

Definition at line 44 of file CIEEE488InstrumentReadWriteTest.h.

## ◆ TEST_F() [6/6]

TEST_F | ( | IEEE488InstrumentReadWriteTest | ,
|  | IDN_Query_WriteSCPIBuffer | )

Test *IDN? query with SCPI Buffer variant of Write.

Definition at line 64 of file CIEEE488InstrumentReadWriteTest.h.